package com.atlassian.bitbucket.scm.git.command.status;

import com.atlassian.bitbucket.scm.git.command.GitCommandBuilderSupport;

import javax.annotation.Nonnull;

public interface GitStatusBuilder extends GitCommandBuilderSupport<GitStatusBuilder> {

    @Nonnull
    GitStatusBuilder porcelain(boolean value);

    @Nonnull
    GitStatusBuilder untracked(String value);

    @Nonnull
    GitStatusBuilder path(String value);

    @Nonnull
    GitStatusBuilder paths(Iterable<String> values);

    @Nonnull
    GitStatusBuilder paths(String value, String... values);
}
